# Function deserializePayload

- deserializePayload<T>(payloadDet, data, offset?): DeserializePayloadReturn<T>

- #### Type Parameters

  - #### T extends PayloadLiteral | PayloadDiscriminator<LayoutLiteral, false>

  #### Parameters

  - ##### payloadDet: T

  - ##### data: Byteish

  - ##### offset: number = 0

  #### Returns DeserializePayloadReturn<T>

  - Defined in definitions/src/vaa/functions.ts:203

Generated using TypeDoc